--[[=============================================================================
    Copyright 2023 Key Digital Systems. All Rights Reserved.
===============================================================================]]

-- This macro is utilized to identify the version string of the driver template version used.
if (TEMPLATE_VERSION ~= nil) then
	TEMPLATE_VERSION.device_specific_commands = "2015.03.31"
end

--[[=============================================================================
    ExecuteCommand Code

    Define any functions for device specific commands (EX_CMD.<command>)
    received from ExecuteCommand that need to be handled by the driver.
===============================================================================]]

function EX_CMD.SwitchToMultiView(tParams)
    local command = string.format("SPO%02dSI05", tParams.Output)
    PackAndQueueCommand("SwitchToMultiView", command)
end

function EX_CMD.SetMultiView_AudioInput(tParams)
    local command = string.format("SPMAS%02d", tParams.Input)
    PackAndQueueCommand("SetMultiView_AudioInput", command)
end

function EX_CMD.SetMultiView_AudioMute(tParams)
    local command = string.format("SPMA%s", tEnableStateMap[tParams.Mute])
    PackAndQueueCommand("SetMultiView_AudioMute", command)
end

function EX_CMD.SetMultiView_InputSwap(tParams)
    local command = string.format("SPMVIS")
    PackAndQueueCommand("SetMultiView_InputSwap", command)
end

function EX_CMD.SetMultiView_Preset(tParams)
    local command = string.format("SPMVSM%01d", tMultiViewPresetMap[tParams.Preset])
    PackAndQueueCommand("SetMultiView_Preset", command)
end
